* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;


}

body {
    background: white;
}

/* Navbar styles */
nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #0c0000;
    padding: 20px;
    letter-spacing: 1px;
}

nav .logo span {
    font-size: 24px;
    font-weight: bold;
    color: #08ce08;
}

nav .logo {
    font-size: 24px;
    font-weight: bold;
    color: white;
}

nav ul.nav-link {
    display: flex;
    justify-content: space-around;
    margin: 0 20px;
    align-items: center;
}

nav ul.nav-link li {
    margin-right: 20px;
}

nav ul.nav-link li:last-child {
    margin-right: 0;
}

nav ul.nav-link li a {
    color: #fff;
    font-size: 18px;
}

/* Hamburger menu styles */
nav .burger {
    display: none;
    cursor: pointer;
}

nav .burger div {
    width: 25px;
    height: 3px;
    background-color: #fff;
    margin: 5px;
}

/* Media query for small screens */
@media screen and (max-width: 600px) {

    /* Navbar styles */
    nav {
        flex-direction: column;
        padding: 20px 0;
    }

    nav .logo {
        margin-bottom: 20px;
        padding-top: 0.4rem;
    }

    nav ul.nav-link {
        display: none;
        flex-direction: column;
        align-items: center;
        width: 100%;
        margin-bottom: 20px;
    }

    nav ul.nav-link li {
        margin: 10px 0;
    }

    nav .burger {
        display: block;
        cursor: pointer;
        position: absolute;
        top: 25px;
        right: 25px;
        z-index: 1;
    }

    /* Show/hide menu when hamburger icon is clicked */
    nav ul.nav-link.show {
        display: flex;
    }

    .container {
        background: linear-gradient(142deg, #0F2, #29B39A);
    }
    .header {
        padding: 0 2rem;
    }

    #user  {
        margin-left: 5.2rem;

    }
    .waiver input[type="checkbox"] {
        margin-left: 10px;
    }


}

/* iPad styles */

@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) {
    /* styles for iPad */
    .container {
        width: 90%;
        margin: 0 auto;
    }

    .nav-link {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .burger {
        display: none;
    }

    .nav-link li {
        margin: 0 20px;
    }
}


.container {
    width: 100%;
    height: 100vh;
    background-size: cover;
    position: relative;
    overflow: hidden;
    background: linear-gradient(142deg, #0F2, #29B39A);

}

.fa-regular, .far {
    margin-left: 1rem;
}
.form-box {
    width: 90%;
    max-width: 450px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: white;
    padding: 50px 60px 70px;
    text-align: center;

}

.form-box h1 {
    font-size: 30px;
    margin-bottom: 60px;
    color: #08ce08;
    position: relative;
}

.form-box h1::after {
    content: " ";
    width: 30px;
    height: 4px;
    border-radius: 3px;
    background:  #08ce08;
    position: absolute;
    bottom: -12px;
    left: 50%;
    transform: translateX(-50%);
}


.input-field {
    background: #eaeaea;
    margin: 15px 0;
    border-radius: 3px;
    display: flex;
    align-items: center;
}


input {
    width: 100%;
    background: transparent;
    border: 0;
    outline: 0;
    padding: 18px 15px;

}

.alreadyUser {
    display: flex;
    justify-content: space-between;
    padding-top: 0.5em;
    margin-right: 3rem;

}

.alreadyUser #user  {
    margin-right: 1.5em;
}

/* hide modal by default */
.waiver {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.waiver label {
    margin-right: auto;
}

.waiver input[type="checkbox"] {
    margin-left: 10px;
}



.btn {
    padding: 10px 20px;
    font-size: 16px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.btn-outline-success {
    background-color: transparent;
    color: #28a745;
    margin-top: 30px;
    width: 120px;
    border: 1px solid #28a745;
    transition: all 0.3s ease;
}

.btn-outline-success:hover {
    background-color: #28a745;
    color: #fff;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.4);
}

.modal-body {
    padding: 20px;
    background-color: #fff;
    border-radius: 10px;
    border: 5px solid #03b603;
    position: absolute;
    width: 30%;
    left: 35%;
    top: 18%;
}

.modal-body p {
    margin-top: 20px;
    font-size: 16px;
    line-height: 1.5;
}

.modal-body #iAgree {
    margin-left: 10px;
    padding: 10px 20px;
    font-size: 16px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    background-color: #28a745;
    color: #fff;
    transition: all 0.3s
}

/* styles for waiver with screen smaller than 768px */
@media (max-width: 767px) {
    .modal-body {
        width: 90%;
        left: 3%;
        top: 5%;
    }

}

/* styles for waiver with screen larger than 768px and no longer than 1330px */
@media (min-width: 768px) and (max-width: 1330px){
    .modal-body {
        width: 80%;
        left: 12%;
        top: 10%;
    }
}

